function get_coordo(evt)
{
	evt.target.ownerDocument.getElementById("cX").firstChild.data = evt.clientX
	evt.target.ownerDocument.getElementById("cY").firstChild.data = evt.clientY
	evt.target.ownerDocument.getElementById("sX").firstChild.data = evt.screenX
	evt.target.ownerDocument.getElementById("sY").firstChild.data = evt.screenY
}

function get_button(evt)
{
	switch(evt.button)
	{
	case 0 : alert("You click left button of your pointer");break;	
	case 1 : alert("You click wheel of your pointer");break;	
	case 2 : alert("You click right button of your pointer");break;
	}	
	evt.preventDefault() 
}

function get_detail(evt)
{
	evt.target.ownerDocument.getElementById("r1").setAttributeNS(null,"fill","lightblue")
	evt.target.ownerDocument.getElementById("r2").setAttributeNS(null,"fill","lightblue")
	evt.target.ownerDocument.getElementById("r3").setAttributeNS(null,"fill","lightblue")
	nb_clicks = evt.detail
	if (nb_clicks >= 3)
	nb_clicks = 3
	evt.target.ownerDocument.getElementById("r"+nb_clicks).setAttributeNS(null,"fill","red")
}

function get_ctm(evt)
{
	matrix = evt.target.getCTM()
	str = "matrix for getCTM :\n"+matrix.a+"   "+matrix.c+"   "+matrix.e+"\n"+matrix.b+"   "+matrix.d+"   "+matrix.f 
	alert(str)
}

function get_screenctm(evt)
{
	matrix = evt.target.ownerDocument.rootElement.getScreenCTM().inverse()
	x = matrix.a * evt.clientX + matrix.c * evt.clientY + matrix.e
	y = matrix.b * evt.clientX + matrix.d * evt.clientY + matrix.f
	alert("clientX : " + evt.clientX +"\nclientY : " + evt.clientY + "\nx_svg : " + x + "\ny_svg : " + y)
}

function get_transformtoelement(evt)
{
	matrix1 = evt.target.ownerDocument.rootElement.getScreenCTM()
	matrix2 = evt.target.getTransformToElement(evt.target.ownerDocument.rootElement)
	matrix = matrix1.multiply(matrix2).inverse()
	x = matrix.a * evt.clientX + matrix.c * evt.clientY + matrix.e
	y = matrix.b * evt.clientX + matrix.d * evt.clientY + matrix.f
	alert("clientX : " + evt.clientX +"\nclientY : " + evt.clientY + "\nx_svg : " + x + "\ny_svg : " + y)
}

function get_charcode(evt)
{
	if (prefixe[current_element]=="charCode")
	{
		carac = evt.charCode
		if (!carac)
			carac = evt.keyCode
		letter = String.fromCharCode(carac)
		evt.target.ownerDocument.getElementById("r1").firstChild.data = carac
		evt.target.ownerDocument.getElementById("r2").firstChild.data = letter
		evt.target.ownerDocument.getElementById("r3").firstChild.data = evt.keyCode
	}
	if (prefixe[current_element]=="shiftKey")
	{
		special_key = ""
		if (evt.shiftKey) special_key = "shift"
		if (evt.altKey) special_key = "alt"
		if (evt.ctrlKey) special_key = "ctrl"
		if (evt.metaKey) special_key = "meta"	
		carac = evt.charCode
		if (!carac)
			carac = evt.keyCode
		evt.target.ownerDocument.getElementById("r2").firstChild.data = carac
		evt.target.ownerDocument.getElementById("r1").firstChild.data = special_key
	}
}
