function zoom(evt,factor)
{
	old_factor = svgdoc.rootElement.currentScale
	evt.target.ownerDocument.rootElement.currentScale = old_factor * factor
}

function pan(evt,direction)
{
	svgroot = svgdoc.rootElement
	switch(direction)
	{
		case 0 : svgroot.currentTranslate.y = svgroot.currentTranslate.y - 50;break;
		case 1 : svgroot.currentTranslate.y = svgroot.currentTranslate.y + 50;break;
		case 2 : svgroot.currentTranslate.x = svgroot.currentTranslate.x - 50;break;
		case 3 : svgroot.currentTranslate.x = svgroot.currentTranslate.x + 50;break;
	}
}

function get_screenctm(evt)
{
	matrix = svgdoc.rootElement.getScreenCTM().inverse()
	x = matrix.a * evt.clientX + matrix.c * evt.clientY + matrix.e
	y = matrix.b * evt.clientX + matrix.d * evt.clientY + matrix.f
	alert("clientX : " + evt.clientX +"\nclientY : " + evt.clientY + "\nx_svg : " + x + "\ny_svg : " + y)
}

var zoom_viewbox=false;

function actualise_anim(evt)
{
node=svgdoc.getElementById("root");
if (zoom_viewbox==false)
{zoom_viewbox=true;
xm=coordo_x(evt);ym=coordo_y(evt);
xsvg=Math.round(-2690+xm*5375/700);ysvg=Math.round(-100+ym*5375/700);
node.setAttributeNS(null,"viewBox",(xsvg-644).toString()+" "+(ysvg-531).toString()+" 1288 1061");
}
else
{zoom_viewbox=false;
node.setAttributeNS(null,"viewBox","-2690 -100 5375 4421");
}
}

var zoom_rect=false,click_rect=false,xsvg=0,ysvg=0,xsvg2=0,ysvg2=0,node_rect="";
var x_vb=0,y_vb=0,w_vb=0,h_vb=0,w_vp=0,h_vp=0;

function init_zoomRect2(evt)
{
main=svgdoc.getElementById("root");
viewbox=main.getAttribute("viewBox").split(/\s*,\s*|\s+/)
x_vb=parseFloat(viewbox[0]);y_vb=parseFloat(viewbox[1])
w_vb=parseFloat(viewbox[2]);h_vb=parseFloat(viewbox[3])
w_vp=parseFloat(main.getAttribute("width"))
h_vp=parseFloat(main.getAttribute("height"))
}

function mouse_down_rect(evt)
{if (zoom_rect==false)
{click_rect=true;
node_rect=svgdoc.getElementById("zone");
xm=coordo_x(evt);ym=coordo_y(evt);
xsvg=Math.round(x_vb+xm*w_vb/w_vp);ysvg=Math.round(y_vb+ym*h_vb/h_vp);
node_rect.setAttributeNS(null,"x",xsvg.toString());
node_rect.setAttributeNS(null,"y",ysvg.toString())
node_rect.setAttributeNS(null,"visibility","visible")}
else
{node2=svgdoc.getElementById("root");
node2.setAttributeNS(null,"viewBox","-2690 -100 5375 4421")
zoom_rect=false;click_rect=false;
}
}

function mouse_move_rect(evt)
{if (click_rect==true)
{xm=coordo_x(evt);ym=coordo_y(evt);
xsvg2=Math.round(x_vb+xm*w_vb/w_vp);ysvg2=Math.round(y_vb+ym*h_vb/h_vp);
node_rect.setAttributeNS(null,"x",Math.min(xsvg,xsvg2).toString());
node_rect.setAttributeNS(null,"y",Math.min(ysvg,ysvg2).toString())
node_rect.setAttributeNS(null,"width",Math.abs(xsvg2-xsvg).toString());
node_rect.setAttributeNS(null,"height",Math.abs(ysvg2-ysvg).toString())
}}

function mouse_up_rect(evt)
{node2=svgdoc.getElementById("root");
if (click_rect==true)
{
node2.setAttributeNS(null,"viewBox",Math.min(xsvg,xsvg2).toString()+" "+Math.min(ysvg,ysvg2).toString()+" "+Math.abs(xsvg2-xsvg).toString()+" "+Math.abs(ysvg2-ysvg).toString());
node_rect.setAttributeNS(null,"visibility","hidden")
node_rect.setAttributeNS(null,"width","0")
node_rect.setAttributeNS(null,"height","0")
click_rect=false;zoom_rect=true;
}
}

var clicked = false
function mg_down()
{
clicked = true
}

function mg_up()
{
clicked = false
}

function mg_move(evt)
{
xm=coordo_x(evt)-50
ym=coordo_y(evt)-50
if (clicked)
{
node = svgdoc.getElementById("glass");
node.setAttributeNS( null , "cx" , 2 * xm)
node.setAttributeNS( null , "cy" , 2 * ym)
node = svgdoc.getElementById("zoom");
dx = - xm
dy = - ym
node.setAttributeNS( null , "transform" , "translate(" + dx + "," + dy + ")")
node = svgdoc.getElementById("border");
node.setAttributeNS( null , "transform" , "translate(" + xm + "," + ym + ")")
}
}

function cp_move(evt)
{
xm=coordo_x(evt)
ym=coordo_y(evt)
if (clicked)
{
node = svgdoc.getElementById("glass");
node.setAttributeNS( null , "x" , 1.5 * xm - 100)
node.setAttributeNS( null , "y" , 1.5 * ym - 75)
node = svgdoc.getElementById("zoom");
dx = - xm / 2
dy = - ym / 2
node.setAttributeNS( null , "transform" , "translate(" + dx + "," + dy + ")")
node = svgdoc.getElementById("border");
node.setAttributeNS( null , "transform" , "translate(" + (xm - 100)  + "," + (ym - 75) + ")")
}
}

var zoom_viewbox2=false;

function change_viewbox(evt)
{
node=svgdoc.getElementById("root")
if (zoom_viewbox2==false)
{zoom_viewbox2=true
xm=coordo_x(evt);ym=coordo_y(evt)
node.setAttributeNS(null,"viewBox",(xm-182).toString()+" "+(ym-182).toString()+" 365 275")
}
else
{zoom_viewbox2=false
node.setAttributeNS(null,"viewBox","0 0 730 550")
}
}

