function modify_text(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	node.firstChild.data = "A new content for this text ..."
}

function give_length(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	alert("My text has " + node.firstChild.length + " letters")
}

function give_substring(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	alert("My substring from 11 to 20 is '" + node.firstChild.substringData(11,8)+"'")
}

function append_data(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	node.firstChild.appendData(" or completed!")
}

function insert_data(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	node.firstChild.insertData(11,"modified or ")
}

function delete_data(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	node.firstChild.deleteData(20,3)
}

function replace_data(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	node.firstChild.replaceData(11,true,"modified")
}

function give_length2(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	alert("My text has " + node.getNumberOfChars() + " letters")
}

function get_length(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	alert("My text has " + node.getComputedTextLength() + " pixels as width")
}

function get_sublength(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	alert("My substring has " + node.getSubStringLength(0,20) + " pixels as width")
}

function get_start(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	point = node.getStartPositionOfChar(0)
	alert("My text begin at " + point.x + " , " + point.y)
}

function get_end(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	point = node.getEndPositionOfChar(37)
	alert("My text finish at " + point.x + " , " + point.y)
}

function get_extent(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	rect = node.getExtentOfChar(20)
	alert("w in text need " + rect.width + " x " + rect.height +" units")
}

function get_rotate(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	angle = node.getRotationOfChar(20)
	alert("w in text is rotated from " + angle +" degrees")
}

function get_char(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	point = evt.target.ownerDocument.rootElement.createSVGPoint()
	point.x = 300
	point.y = 395
	alert("Letter at 300 , 395 is at range " + node.getCharNumAtPosition(point) + " in string")
}

function select_char(evt)
{
	node = evt.target.ownerDocument.getElementById("MyText")
	node.selectSubString(20,4)
}
